您尚未登录。

#1 2019-09-20 16:31:19

Xsleep
会员
注册时间: 2018-02-05
帖子: 11

upgrade升级取消,再次升级出现错误。

搬了次家后,感觉这边网速差了好多,上次升级时嫌安装太慢,就Ctrl-C停止了,可能有两次吧 roll 。今天再升级时它,罢工了。。
eYhoFEk1LOV3pb2.png

离线

#2 2019-09-20 17:59:14

Mr.I
路人丙
所在地: Kerbal
注册时间: 2015-08-29
帖子: 180

Re: upgrade升级取消,再次升级出现错误。

这个似乎需要使用一些暴力手段了。用 -dd 无视依赖单独更新 java 相关的包试试?

话说,我自从有一次在更新过程中桌面崩溃导致 pts 中的 pacman 中断,然后直接导致系统挂掉之后,我现在都不敢在 pts 里面跑 pacman -Syu 。。。 感觉在 tty 里面跑 pacman -Syu 比较有安全感。

最近编辑记录 Mr.I (2019-09-20 17:59:39)

离线

#3 2019-09-20 19:41:26

xtricman
エクス·トリクマン
注册时间: 2012-12-26
帖子: 826

Re: upgrade升级取消,再次升级出现错误。

Mr.I 说:

这个似乎需要使用一些暴力手段了。用 -dd 无视依赖单独更新 java 相关的包试试?

话说,我自从有一次在更新过程中桌面崩溃导致 pts 中的 pacman 中断,然后直接导致系统挂掉之后,我现在都不敢在 pts 里面跑 pacman -Syu 。。。 感觉在 tty 里面跑 pacman -Syu 比较有安全感。

不要装逼。装逼被雷劈

离线

#4 2019-09-20 20:42:21

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 5,249
个人网站

Re: upgrade升级取消,再次升级出现错误。

tmux 了解一下?

离线

#5 2019-09-20 21:47:51

Mr.I
路人丙
所在地: Kerbal
注册时间: 2015-08-29
帖子: 180

Re: upgrade升级取消,再次升级出现错误。

依云 说:

tmux 了解一下?

啊,对哦,tmux。我习惯性的只有在远程的情况下才会想到 tmux,尴尬

离线

#6 2019-09-23 09:03:59

Xsleep
会员
注册时间: 2018-02-05
帖子: 11

Re: upgrade升级取消,再次升级出现错误。

解决了。。确实使用了很暴力手段
看很多类似的问题破坏依赖啥的,升级不成功的。都暴力删除它,sudo pacman -Rsn 依赖。或者sudo pacman -Rscn 依赖。我的是后者。再升级就可以了。
4e83e2161d44ab05.png

离线

页脚